//Source file: InvalidCollectionCriteriaException.java
//Date: June 2005
//User Interaction Data Types for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * Invalid collection criteria specified.
 *
 */
public class InvalidCollectionCriteriaException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidCollectionCriteriaException() {
        super(); 
    }

    public InvalidCollectionCriteriaException(String message) {
        super(message); 
    }

    public InvalidCollectionCriteriaException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidCollectionCriteriaException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidCollectionCriteriaException

