//Source file: IllegalRangeException.java
//Date: June 2005
//User Interaction Data Types for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * The values for minimum and maximum collection length are out of range.
 *
 */
public class IllegalRangeException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public IllegalRangeException() {
        super(); 
    }

    public IllegalRangeException(String message) {
        super(message); 
    }

    public IllegalRangeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public IllegalRangeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // IllegalRangeException

