//Source file: NotificationsListener.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * This interface is to be implemented for receiving events issued by the Notifications activity object.<BR>
 *
 */
public interface NotificationsListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the reportEventNotification() method on
     * the callback interface.
     *
     * @param  reportEventNotificationEvent  Reference to a ReportEventNotificationEvent event
     *        emmited from the impl or activity object.
     */
    void onReportEventNotificationEvent(org.csapi.jr.se.ui.ReportEventNotificationEvent reportEventNotificationEvent);
    

}
